#
# spec file for package perl-B-Hooks-OP-Check
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name B-Hooks-OP-Check
Name:           perl-B-Hooks-OP-Check
Version:        0.220.0
Release:        1.1
# 0.22 -> normalize -> 0.220.0
%define cpan_version 0.22
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Wrap OP check callbacks
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        perl-B-Hooks-OP-Check-rpmlintrc
Source2:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::Depends) >= 0.302
BuildRequires:  perl(parent)
Requires:       perl(parent)
Provides:       perl(B::Hooks::OP::Check) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module provides a C API for XS modules to hook into the callbacks of
'PL_check'.

ExtUtils::Depends is used to export all functions for other XS modules to
use. Include the following in your Makefile.PL:

    my $pkg = ExtUtils::Depends->new('Your::XSModule', 'B::Hooks::OP::Check');
    WriteMakefile(
        ... # your normal makefile flags
        $pkg->get_makefile_vars,
    );

Your XS module can now include 'hook_op_check.h'.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENCE

%changelog
* Wed Jun 11 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Tue Aug  1 2017 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-B-Hooks-OP-Check/Changes
  0.22      2017-07-31 16:25:05Z
  * Use cleaner wrap_op_checker() API to control op checking.
  * Use core's Perl_check_t typedef instead of inventing our own.
* Fri May 12 2017 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-B-Hooks-OP-Check/Changes
* Wed Dec 21 2011 coolo@suse.de
- regenerate with cpanspec
* Wed Dec 21 2011 coolo@suse.com
- update to 0.19
  * Fix hooking protocol, which was broken in a way that could result in losing
    checkers hooked in by other modules.
  * Add MYMETA.{json,yml} to MANIFEST.SKIP and .gitignore.
  * New repository location for release by Zefram.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Nov  4 2010 pascal.bleser@opensuse.org
- initial package (0.18)
